Package org.eclipse.jface.databinding.viewers

## Class ViewerListProperty<S,​E>

- java.lang.Object
- - org.eclipse.core.databinding.property.list.ListProperty<S,​E>
  - - org.eclipse.core.databinding.property.list.SimpleListProperty<S,​E>
    - - org.eclipse.jface.databinding.viewers.ViewerListProperty<S,​E>

Type Parameters:
  `S` - type of the source object
  `E` - type of the elements in the list

All Implemented Interfaces:
  `IProperty`, `IListProperty<S,​E>`, `IViewerListProperty<S,​E>`

    public abstract class ViewerListProperty<S,​E>
    extends SimpleListProperty<S,​E>
    implements IViewerListProperty<S,​E>

Abstract list property implementation for `Viewer` properties. This class implements some basic behavior that viewer properties are generally expected to have, namely:

- Calling `observe(S)` should create the observable on the display realm of the viewer's control, rather than the current default realm
- All `observe()` methods should return an `IViewerObservableList`

Since:
  1.3

### Constructor Summary

Constructors
`ViewerListProperty()`

### Method Summary

All Methods Instance Methods Concrete Methods
`IObservableList<E>` `observe​(Realm realm, S source)` Returns an observable list observing this list property on the given property source
`IViewerObservableList<E>` `observe​(Viewer viewer)` Returns an `IViewerObservableList` observing this list property on the given viewer
`IObservableList<E>` `observe​(S source)` Returns an observable list observing this list property on the given property source

### Methods inherited from class org.eclipse.core.databinding.property.list.SimpleListProperty

`adaptListener, doGetList, doSetList, doSetList, doUpdateList, setList`

### Methods inherited from class org.eclipse.core.databinding.property.list.ListProperty

`getList, listFactory, listFactory, observeDetail, setList, updateList, values`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.core.databinding.property.list.IListProperty

`getElementType, getList, listFactory, listFactory, observeDetail, setList, updateList, values`

### Constructor Detail

#### ViewerListProperty

    public ViewerListProperty()

### Method Detail

#### observe

    public IObservableList<E> observe​(S source)

Description copied from interface: `IListProperty`
Returns an observable list observing this list property on the given property source

Specified by:
  `observe` in interface `IListProperty<S,​E>`
Specified by:
  `observe` in interface `IViewerListProperty<S,​E>`
Overrides:
  `observe` in class `ListProperty<S,​E>`
Parameters:
  `source` - the property source
Returns:
  an observable list observing this list property on the given property source

#### observe

    public IObservableList<E> observe​(Realm realm,
                                      S source)

Description copied from interface: `IListProperty`
Returns an observable list observing this list property on the given property source

Specified by:
  `observe` in interface `IListProperty<S,​E>`
Overrides:
  `observe` in class `SimpleListProperty<S,​E>`
Parameters:
  `realm` - the observable's realm
  `source` - the property source
Returns:
  an observable list observing this list property on the given property source

#### observe

    public IViewerObservableList<E> observe​(Viewer viewer)

Description copied from interface: `IViewerListProperty`
Returns an `IViewerObservableList` observing this list property on the given viewer

Specified by:
  `observe` in interface `IViewerListProperty<S,​E>`
Parameters:
  `viewer` - the source viewer
Returns:
  an observable list observing this list property on the given viewer